import { DataTypes } from 'sequelize';
export default (sequelize) => sequelize.define('users', {
  user_id: { type: DataTypes.INTEGER, primaryKey: true, autoIncrement: true },
  username: { type: DataTypes.STRING(255), allowNull: false, unique: true },
  password_hash: { type: DataTypes.STRING(255), allowNull: false },
  first_name: { type: DataTypes.STRING(255) },
  last_name:  { type: DataTypes.STRING(255) },
  email:      { type: DataTypes.STRING(255) },
  created_at: { type: DataTypes.DATE },
});
